Hooks:PostHook(WeaponTweakData, "init", "Aran Reload Patch", function(self, tweak_data)

	--should_reload_immediately: This enables any single-fire weapon to start reloading after firing its last shot.
	--reload_boosts_firerate: This hooks in all reload bonuses into the fire rate speed. Locked to weapons with a clip size of 1.
	
	self.contender.should_reload_immediately = true
	self.contender.reload_boosts_firerate = true
	self.contender.timers = {
		reload_not_empty = 1.58, --1.6
		reload_empty = 1.58, --1.6
	}
	self.contender.fire_mode_data = {
		fire_rate = 0.89
	}
	self.contender.single = {
		fire_rate = 0.89
	}
	
	--Other examples:
	--self.gre_m79.reload_boosts_firerate = true
	--self.gre_m79.should_reload_immediately = false

	--self.arblast.reload_boosts_firerate = true
end)